Coin: SoRenderManager Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoRenderManager Class Reference

The SoRenderManager class is used for controlling the rendering of a scene graph. More...

`#include <Inventor/SoRenderManager.h>`

## Classes
class | Superimposition

## Public Types
enum | RenderMode { AS_IS , WIREFRAME , POINTS , WIREFRAME_OVERLAY , HIDDEN_LINE , BOUNDING_BOX }
enum | StereoMode { MONO , ANAGLYPH , SEPARATE_OUTPUT , QUAD_BUFFER = SEPARATE_OUTPUT , INTERLEAVED_ROWS , INTERLEAVED_COLUMNS }
enum | BufferType { BUFFER_SINGLE , BUFFER_DOUBLE }
enum | AutoClippingStrategy { NO_AUTO_CLIPPING , FIXED_NEAR_PLANE , VARIABLE_NEAR_PLANE }

## Public Member Functions
| SoRenderManager (void)
virtual | ~SoRenderManager ()
virtual void | render (const SbBool clearwindow=TRUE, const SbBool clearzbuffer=TRUE)
virtual void | render (SoGLRenderAction *action, const SbBool initmatrices=TRUE, const SbBool clearwindow=TRUE, const SbBool clearzbuffer=TRUE)
Superimposition * | addSuperimposition (SoNode *scene, uint32_t flags=Superimposition::AUTOREDRAW|Superimposition::ZBUFFERON|Superimposition::CLEARZBUFFER)
void | removeSuperimposition (Superimposition *s)
virtual void | setSceneGraph (SoNode *const sceneroot)
virtual SoNode * | getSceneGraph (void) const
void | setCamera (SoCamera *camera)
SoCamera * | getCamera (void) const
void | setAutoClipping (AutoClippingStrategy autoclipping)
AutoClippingStrategy | getAutoClipping (void) const
void | setNearPlaneValue (float value)
float | getNearPlaneValue (void) const
void | setTexturesEnabled (const SbBool onoff)
SbBool | isTexturesEnabled (void) const
void | setDoubleBuffer (const SbBool enable)
SbBool | isDoubleBuffer (void) const
void | setRenderMode (const RenderMode mode)
RenderMode | getRenderMode (void) const
void | setStereoMode (const StereoMode mode)
StereoMode | getStereoMode (void) const
void | setStereoOffset (const float offset)
float | getStereoOffset (void) const
void | setRenderCallback (SoRenderManagerRenderCB *f, void *const userData=NULL)
SbBool | isAutoRedraw (void) const
void | setRedrawPriority (const uint32_t priority)
uint32_t | getRedrawPriority (void) const
void | scheduleRedraw (void)
void | setWindowSize (const SbVec2s &newsize)
const SbVec2s & | getWindowSize (void) const
void | setSize (const SbVec2s &newsize)
const SbVec2s & | getSize (void) const
void | setOrigin (const SbVec2s &newOrigin)
const SbVec2s & | getOrigin (void) const
void | setViewportRegion (const SbViewportRegion &newRegion)
const SbViewportRegion & | getViewportRegion (void) const
void | setBackgroundColor (const SbColor4f &color)
const SbColor4f & | getBackgroundColor (void) const
void | setOverlayColor (const SbColor4f &color)
SbColor4f | getOverlayColor (void) const
void | setBackgroundIndex (const int index)
int | getBackgroundIndex (void) const
void | setRGBMode (const SbBool onOrOff)
SbBool | isRGBMode (void) const
virtual void | activate (void)
virtual void | deactivate (void)
void | setAntialiasing (const SbBool smoothing, const int numPasses)
void | getAntialiasing (SbBool &smoothing, int &numPasses) const
void | setGLRenderAction (SoGLRenderAction *const action)
SoGLRenderAction * | getGLRenderAction (void) const
void | setAudioRenderAction (SoAudioRenderAction *const action)
SoAudioRenderAction * | getAudioRenderAction (void) const
void | addPreRenderCallback (SoRenderManagerRenderCB *cb, void *data)
void | removePreRenderCallback (SoRenderManagerRenderCB *cb, void *data)
void | addPostRenderCallback (SoRenderManagerRenderCB *cb, void *data)
void | removePostRenderCallback (SoRenderManagerRenderCB *cb, void *data)
void | reinitialize (void)

## Static Public Member Functions
static void | enableRealTimeUpdate (const SbBool flag)
static SbBool | isRealTimeUpdateEnabled (void)
static uint32_t | getDefaultRedrawPriority (void)

## Protected Member Functions
int | isActive (void) const
void | redraw (void)
void | renderScene (SoGLRenderAction *action, SoNode *scene, uint32_t clearmask)
void | actuallyRender (SoGLRenderAction *action, const SbBool initmatrices=TRUE, const SbBool clearwindow=TRUE, const SbBool clearzbuffer=TRUE)
void | renderSingle (SoGLRenderAction *action, SbBool initmatrices, SbBool clearwindow, SbBool clearzbuffer)
| Render once in correct draw style.
void | renderStereo (SoGLRenderAction *action, SbBool initmatrices, SbBool clearwindow, SbBool clearzbuffer)
| Render scene according to current stereo mode.
void | initStencilBufferForInterleavedStereo (void)
void | clearBuffers (SbBool color, SbBool depth)

## Detailed Description

The SoRenderManager class is used for controlling the rendering of a scene graph.

You can use this class to configure things like clipping planes, rendering mode, stereo rendering and the background color. In earlier versions of Coin/Inventor, this was set up in the GUI toolkits, making it quite hard to make a new Coin viewer for another GUI toolkit. With this new class all that is needed is to create one SoRenderManager instance per viewer/view.

This class does not handle events for the scene graph/viewer. To do that you can use the SoEventManager class.

Since
  Coin 3.0

## Member Enumeration Documentation

## ◆ RenderMode

enum SoRenderManager::RenderMode

Sets how rendering of primitives is done.

Enumerator
AS_IS | Render primitives as they are described in the scene graph.
WIREFRAME | Render polygons as wireframe
POINTS | Render only the vertices of the polygons and lines.
WIREFRAME_OVERLAY | Render a wireframe overlay in addition to the AS_IS mode
HIDDEN_LINE | As WIREFRAME, but culls lines which would otherwise not be shown due to geometric culling.
BOUNDING_BOX | Only show the bounding box of each object.

## ◆ StereoMode

enum SoRenderManager::StereoMode

Manages how to render stereoscopic images.

Enumerator
MONO | No stereoscopic rendering
ANAGLYPH | Anaglyph rendering is used to provide a stereoscopic 3D effect, when viewed with 3D glasses. The image is made up of two color layers which are superimposed on each other, and appears as 3 dimensional when viewed through corresponding colored filters (glasses)
SEPARATE_OUTPUT | Send output to separate buffers.
QUAD_BUFFER | Same as SEPARATE_OUTPUT, SEPARATE_OUTPUT is more commonly known as QUAD_BUFFER, when also using double buffering.
INTERLEAVED_ROWS | Render every second row as left and right image. If rendered with a polarized projector, polarized filters can be used to give a 3D effect.
INTERLEAVED_COLUMNS | Render every second column as left and right image. If rendered with a polarized projector, polarized filters can be used to give a 3D effect.

## ◆ BufferType

enum SoRenderManager::BufferType

Buffering strategy

Enumerator
BUFFER_SINGLE | Output to one buffer
BUFFER_DOUBLE | Alternate between output buffers

## ◆ AutoClippingStrategy

enum SoRenderManager::AutoClippingStrategy

Strategy for adjusting camera near/far clipping plane

Enumerator
NO_AUTO_CLIPPING | Turn off automatic clipping. The user needs to set the correct values in the camera.
FIXED_NEAR_PLANE | Keep near plane at a fixed distance from the camera. The far plane is always set at the end of the bounding box.
VARIABLE_NEAR_PLANE | Variable adjustment of the near plane relative to the camera.

## Constructor & Destructor Documentation

## ◆ SoRenderManager()

SoRenderManager::SoRenderManager | ( | void |  | ) |

Constructor.

## ◆ ~SoRenderManager()

SoRenderManager::~SoRenderManager | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ render() [1/2]

void SoRenderManager::render | ( | const SbBool | clearwindow = TRUE,
|  | const SbBool | clearzbuffer = TRUE )
| virtual

Render the scene graph.

All SbBool arguments should normally be `TRUE`, but they can be set to `FALSE` to optimize for special cases (e.g. when doing wireframe rendering one doesn't need a depth buffer).

Parameters

  [in] | clearwindow | If set to `TRUE`, clear the rendering buffer before drawing.
  [in] | clearzbuffer | If set to `TRUE`, clear the depth buffer values before rendering.

## ◆ render() [2/2]

void SoRenderManager::render | ( | SoGLRenderAction * | action,
|  | const SbBool | initmatrices = TRUE,
|  | const SbBool | clearwindow = TRUE,
|  | const SbBool | clearzbuffer = TRUE )
| virtual

Render the scene graph.

All SbBool arguments should normally be `TRUE`, but they can be set to `FALSE` to optimize for special cases (e.g. when doing wireframe rendering one doesn't need a depth buffer).

Parameters

  [in] | clearwindow | If set to `TRUE`, clear the rendering buffer before drawing.
  [in] | clearzbuffer | If set to `TRUE`, clear the depth buffer values before rendering.
  [in] | initmatrices | If set to `TRUE`, the projection and modelview matrices are reset to identity.
  [in] | action | Renders with a user supplied action.

## ◆ addSuperimposition()

SoRenderManager::Superimposition * SoRenderManager::addSuperimposition | ( | SoNode * | scene,
|  | uint32_t | flags = Superimposition::AUTOREDRAW | Superimposition::ZBUFFERON | Superimposition::CLEARZBUFFER )

Add a superimposition for this scene graph. A superimposition can either be a scene rendered in the background, or a scene rendered in the front of the actual scene graph.

This is useful, for instance, if you want to add a gradient or an image in the background, and for having some HUD info in the foreground.

Please note that if you use superimpositions, multipass antialiasing have to be handled in the render manager, and not in SoGLRenderAction, so the pass update features in SoGLRenderAction will be disabled.

See also
  SoGLRenderAction::setNumPasses()
  SoGLRenderAction::setPassUpdate()
  SoGLRenderAction::setPassCallback()

## ◆ removeSuperimposition()

void SoRenderManager::removeSuperimposition | ( | Superimposition * | s | ) |

Removes a superimposition.

See also
  addSuperimposition()

## ◆ setSceneGraph()

void SoRenderManager::setSceneGraph | ( | SoNode *const | sceneroot | ) |
| virtual

Set the node which is top of the scene graph we're managing. The sceneroot node reference count will be increased by 1, and any previously set scene graph top node will have its reference count decreased by 1.

See also
  getSceneGraph()

## ◆ getSceneGraph()

SoNode * SoRenderManager::getSceneGraph | ( | void |  | ) | const
| virtual

Returns the pointer to root of scene graph.

## ◆ setCamera()

void SoRenderManager::setCamera | ( | SoCamera * | camera | ) |

Sets the camera to be used.

## ◆ getCamera()

SoCamera * SoRenderManager::getCamera | ( | void |  | ) | const

Returns the current camera.

## ◆ setAutoClipping()

void SoRenderManager::setAutoClipping | ( | AutoClippingStrategy | autoclipping | ) |

Sets strategy for adjusting camera clipping plane

See also
  SoRenderManager::AutoClippingStrategy

## ◆ getAutoClipping()

SoRenderManager::AutoClippingStrategy SoRenderManager::getAutoClipping | ( | void |  | ) | const

This method returns the current auto clipping strategy.

See also
  setAutoClipping

## ◆ setNearPlaneValue()

void SoRenderManager::setNearPlaneValue | ( | float | value | ) |

When the SoRenderManager::FIXED_NEAR_PLANE auto clipping strategy is used, you set the value of the near plane distance with this method.

See also
  setAutoClipping, getNearPlaneValue, SoRenderManager::AutoClippingStrategy

## ◆ getNearPlaneValue()

float SoRenderManager::getNearPlaneValue | ( | void |  | ) | const

This method returns the near plane distance value that will be used when the SoRenderManager::FIXED_NEAR_PLANE auto clipping strategy is used.

Default value is 0.6.

See also
  setAutoClipping, setNearPlaneValue, SoRenderManager::AutoClippingStrategy

## ◆ setTexturesEnabled()

void SoRenderManager::setTexturesEnabled | ( | const SbBool | onoff | ) |

Enable/disable textures when rendering. Defaults to TRUE.

See also
  isTexturesEnabled

## ◆ isTexturesEnabled()

SbBool SoRenderManager::isTexturesEnabled | ( | void |  | ) | const

Returns whether textures are enabled or not.

See also
  setTexturesEnabled

## ◆ setDoubleBuffer()

void SoRenderManager::setDoubleBuffer | ( | const SbBool | enable | ) |

Tell the scene manager that double buffering is used

## ◆ isDoubleBuffer()

SbBool SoRenderManager::isDoubleBuffer | ( | void |  | ) | const

returns if the scene manager is double buffered

## ◆ setRenderMode()

void SoRenderManager::setRenderMode | ( | const RenderMode | mode | ) |

Sets the render mode.

## ◆ getRenderMode()

SoRenderManager::RenderMode SoRenderManager::getRenderMode | ( | void |  | ) | const

Returns the current render mode.

## ◆ setStereoMode()

void SoRenderManager::setStereoMode | ( | const StereoMode | mode | ) |

Sets the stereo mode.

## ◆ getStereoMode()

SoRenderManager::StereoMode SoRenderManager::getStereoMode | ( | void |  | ) | const

Returns the current stereo mode.

## ◆ setStereoOffset()

void SoRenderManager::setStereoOffset | ( | const float | offset | ) |

Sets the stereo offset used when doing stereo rendering.

## ◆ getStereoOffset()

float SoRenderManager::getStereoOffset | ( | void |  | ) | const

Returns the current stereo offset.

## ◆ setRenderCallback()

void SoRenderManager::setRenderCallback | ( | SoRenderManagerRenderCB * | f,
|  | void *const | userdata = NULL )

Set the callback function f to invoke when rendering the scene. userdata will be passed as the first argument of the function.

## ◆ isAutoRedraw()

SbBool SoRenderManager::isAutoRedraw | ( | void |  | ) | const

Returns `TRUE` if the SoRenderManager automatically redraws the scene upon detecting changes in the scene graph.

The automatic redraw is turned on and off by setting either a valid callback function with setRenderCallback(), or by passing `NULL`.

## ◆ setRedrawPriority()

void SoRenderManager::setRedrawPriority | ( | const uint32_t | priority | ) |

Set up the redraw priority for the SoOneShotSensor used to trigger redraws. By setting this lower than for your own sensors, you can make sure some code is always run before redraw happens.

See also
  SoDelayQueueSensor

## ◆ getRedrawPriority()

uint32_t SoRenderManager::getRedrawPriority | ( | void |  | ) | const

Returns value of priority on the redraw sensor.

## ◆ scheduleRedraw()

void SoRenderManager::scheduleRedraw | ( | void |  | ) |

Redraw at first opportunity as system becomes idle.

Multiple calls to this method before an actual redraw have taken place will only result in a single redraw of the scene.

## ◆ setWindowSize()

void SoRenderManager::setWindowSize | ( | const SbVec2s & | newsize | ) |

Update window size of our SoGLRenderAction's viewport settings.

Note that this will only change the information about window dimensions, the actual viewport size and origin (i.e. the rectangle which redraws are confined to) will stay the same.

See also
  setViewportRegion()

## ◆ getWindowSize()

const SbVec2s & SoRenderManager::getWindowSize | ( | void |  | ) | const

Returns the current render action window size.

See also
  setWindowSize()

## ◆ setSize()

void SoRenderManager::setSize | ( | const SbVec2s & | newsize | ) |

Set size of rendering area for the viewport within the current window.

## ◆ getSize()

const SbVec2s & SoRenderManager::getSize | ( | void |  | ) | const

Returns size of render area.

## ◆ setOrigin()

void SoRenderManager::setOrigin | ( | const SbVec2s & | newOrigin | ) |

Set only the origin of the viewport region within the rendering window.

See also
  setViewportRegion(), setWindowSize()

## ◆ getOrigin()

const SbVec2s & SoRenderManager::getOrigin | ( | void |  | ) | const

Returns origin of rendering area viewport.

See also
  setOrigin()

## ◆ setViewportRegion()

void SoRenderManager::setViewportRegion | ( | const SbViewportRegion & | newregion | ) |

Update our SoGLRenderAction's viewport settings.

This will change both the information about window dimensions and the actual viewport size and origin.

See also
  setWindowSize()

## ◆ getViewportRegion()

const SbViewportRegion & SoRenderManager::getViewportRegion | ( | void |  | ) | const

Returns current viewport region used by the render action and the event handling.

See also
  setViewportRegion()

## ◆ setBackgroundColor()

void SoRenderManager::setBackgroundColor | ( | const SbColor4f & | color | ) |

Sets color of rendering canvas.

## ◆ getBackgroundColor()

const SbColor4f & SoRenderManager::getBackgroundColor | ( | void |  | ) | const

Returns color used for clearing the rendering area before rendering the scene.

## ◆ setOverlayColor()

void SoRenderManager::setOverlayColor | ( | const SbColor4f & | color | ) |

Sets color of overlay.

## ◆ getOverlayColor()

SbColor4f SoRenderManager::getOverlayColor | ( | void |  | ) | const

Returns color used rendering overlay.

## ◆ setBackgroundIndex()

void SoRenderManager::setBackgroundIndex | ( | const int | index | ) |

Set index of background color in the color lookup table if rendering in color index mode.

Note: color index mode is not supported yet in Coin.

## ◆ getBackgroundIndex()

int SoRenderManager::getBackgroundIndex | ( | void |  | ) | const

Returns index of color map for background filling.

See also
  setBackgroundIndex()

## ◆ setRGBMode()

void SoRenderManager::setRGBMode | ( | const SbBool | yes | ) |

Turn RGB true color mode on or off. If you turn true color mode off, color index mode will be used instead.

## ◆ isRGBMode()

SbBool SoRenderManager::isRGBMode | ( | void |  | ) | const

Returns the "truecolor or colorindex" mode flag.

## ◆ activate()

void SoRenderManager::activate | ( | void |  | ) |
| virtual

Activate rendering and event handling. Default is `off`.

## ◆ deactivate()

void SoRenderManager::deactivate | ( | void |  | ) |
| virtual

Deactivate rendering and event handling.

## ◆ setAntialiasing()

void SoRenderManager::setAntialiasing | ( | const SbBool | smoothing,
|  | const int | numpasses )

Turn antialiased rendering on or off.

See documentation for SoGLRenderAction::setSmoothing() and SoGLRenderAction::setNumPasses().

## ◆ getAntialiasing()

void SoRenderManager::getAntialiasing | ( | SbBool & | smoothing,
|  | int & | numpasses ) const

Returns rendering pass information.

See also
  setAntialiasing()

## ◆ setGLRenderAction()

void SoRenderManager::setGLRenderAction | ( | SoGLRenderAction *const | action | ) |

Set the action to use for rendering. Overrides the default action made in the constructor.

## ◆ getGLRenderAction()

SoGLRenderAction * SoRenderManager::getGLRenderAction | ( | void |  | ) | const

Returns pointer to render action.

## ◆ setAudioRenderAction()

void SoRenderManager::setAudioRenderAction | ( | SoAudioRenderAction *const | action | ) |

Set the action to use for rendering audio. Overrides the default action made in the constructor.

## ◆ getAudioRenderAction()

SoAudioRenderAction * SoRenderManager::getAudioRenderAction | ( | void |  | ) | const

Returns pointer to audio render action.

## ◆ enableRealTimeUpdate()

void SoRenderManager::enableRealTimeUpdate | ( | const SbBool | flag | ) |
| static

Set whether or not for SoRenderManager instances to "touch" the global `realTime` field after a redraw. If this is not done, redrawing when animating the scene will only happen as fast as the `realTime` interval goes (which defaults to 12 times a second).

See also
  SoDB::setRealTimeInterval()

## ◆ isRealTimeUpdateEnabled()

SbBool SoRenderManager::isRealTimeUpdateEnabled | ( | void |  | ) |
| static

Returns whether or not we automatically notify everything connected to the `realTime` field after a redraw.

## ◆ getDefaultRedrawPriority()

uint32_t SoRenderManager::getDefaultRedrawPriority | ( | void |  | ) |
| static

Returns the default priority of the redraw sensor.

See also
  SoDelayQueueSensor, setRedrawPriority()

## ◆ addPreRenderCallback()

void SoRenderManager::addPreRenderCallback | ( | SoRenderManagerRenderCB * | cb,
|  | void * | data )

Adds a function to be called before rendering starts

Parameters

  [in] | cb | function to be called
  [in] | data | User specified data to supply to callback function

## ◆ removePreRenderCallback()

void SoRenderManager::removePreRenderCallback | ( | SoRenderManagerRenderCB * | cb,
|  | void * | data )

Removes a pre render callback.

Precondition
  The tuple (cb, data) must exactly match an earlier call to SoRenderManager::addPreRenderCallback

Parameters

  [in] | cb | function to be called
  [in] | data | User specified data to supply to callback function

## ◆ addPostRenderCallback()

void SoRenderManager::addPostRenderCallback | ( | SoRenderManagerRenderCB * | cb,
|  | void * | data )

Adds a function to be called after rendering is complete

Parameters

  [in] | cb | function to be called
  [in] | data | User specified data to supply to callback function

## ◆ removePostRenderCallback()

void SoRenderManager::removePostRenderCallback | ( | SoRenderManagerRenderCB * | cb,
|  | void * | data )

Removes a post render callback.

Precondition
  The tuple (cb, data) must exactly match an earlier call to SoRenderManager::addPostRenderCallback

Parameters

  [in] | cb | function to be called
  [in] | data | User specified data to supply to callback function

## ◆ reinitialize()

void SoRenderManager::reinitialize | ( | void |  | ) |

Reinitialize after parameters affecting the OpenGL context have changed.

## ◆ isActive()

int SoRenderManager::isActive | ( | void |  | ) | const
| protected

Returns the active flag.

## ◆ redraw()

void SoRenderManager::redraw | ( | void |  | ) |
| protected

Do an immediate redraw by calling the redraw callback function.

## ◆ renderScene()

void SoRenderManager::renderScene | ( | SoGLRenderAction * | action,
|  | SoNode * | scene,
|  | uint32_t | clearmask )
| protected

Renders a scene and applies clear state as given by this renderManager

Parameters

  [in] | action | Action to apply
  [in] | scene | Scene to render
  [in] | clearmask | mask to pass to glClear

## ◆ actuallyRender()

void SoRenderManager::actuallyRender | ( | SoGLRenderAction * | action,
|  | const SbBool | initmatrices = TRUE,
|  | const SbBool | clearwindow = TRUE,
|  | const SbBool | clearzbuffer = TRUE )
| protected

Convenience function for SoRenderManager::renderScene

Parameters

  [in] | action | Renders with a user supplied action.
  [in] | initmatrices | If set to `TRUE`, the projection and modelview matrices are reset to identity.
  [in] | clearwindow | If set to `TRUE`, clear the rendering buffer before drawing.
  [in] | clearzbuffer | If set to `TRUE`, clear the depth buffer values before rendering.

## ◆ renderSingle()

void SoRenderManager::renderSingle | ( | SoGLRenderAction * | action,
|  | SbBool | initmatrices,
|  | SbBool | clearwindow,
|  | SbBool | clearzbuffer )
| protected

Render once in correct draw style.

Convenience function for SoRenderManager::renderScene

Parameters

  [in] | action | Renders with a user supplied action.
  [in] | initmatrices | If set to `TRUE`, the projection and modelview matrices are reset to identity.
  [in] | clearwindow | If set to `TRUE`, clear the rendering buffer before drawing.
  [in] | clearzbuffer | If set to `TRUE`, clear the depth buffer values before rendering.

## ◆ renderStereo()

void SoRenderManager::renderStereo | ( | SoGLRenderAction * | action,
|  | SbBool | initmatrices,
|  | SbBool | clearwindow,
|  | SbBool | clearzbuffer )
| protected

Render scene according to current stereo mode.

Convenience function for SoRenderManager::renderScene

Parameters

  [in] | action | Renders with a user supplied action.
  [in] | initmatrices | If set to `TRUE`, the projection and modelview matrices are reset to identity.
  [in] | clearwindow | If set to `TRUE`, clear the rendering buffer before drawing.
  [in] | clearzbuffer | If set to `TRUE`, clear the depth buffer values before rendering.

## ◆ initStencilBufferForInterleavedStereo()

void SoRenderManager::initStencilBufferForInterleavedStereo | ( | void |  | ) |
| protected

Initializes stencil buffers for interleaved stereo

## ◆ clearBuffers()

void SoRenderManager::clearBuffers | ( | SbBool | color,
|  | SbBool | depth )
| protected

Clears buffers with the background color set correctly

Parameters

  [in] | color | Set to `TRUE` if color buffer should be cleared
  [in] | depth | Set to `TRUE` if depth buffer should be cleared

The documentation for this class was generated from the following files:

- SoRenderManager.h
- SoRenderManager.cpp